Net::DNS::RR::NID(3)

NAME
Net::DNS::RR::NID - DNS NID resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN NID preference nodeid');

    $rr = new Net::DNS::RR(
        name       => 'example.com',
        type       => 'NID',
        preference => 10,
        nodeid     => '8:800:200C:417A'
        );

DESCRIPTION
Class for DNS Node Identifier (NID) resource records.

The Node Identifier (NID) DNS resource record is used to hold values for Node Identifiers that will be used for ILNP-capable nodes.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;

A 16 bit unsigned integer in network byte order that indicates the relative preference for this NID record among other NID records associated with this owner name. Lower values are preferred over higher values.

  nodeid
    $nodeid = $rr->nodeid;

The NodeID field is an unsigned 64-bit value in network byte order. The text representation uses the same syntax (i.e., groups of 4 hexadecimal digits separated by a colons) that is already used for IPv6 interface identifiers.

COPYRIGHT
Copyright (c)2012 Dick Franks.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC6742